/* Auteur: Nicolas JANEY          */
/* nicolas.janey@univ-fcomte.fr   */
/* Fevrier 2005                   */

public class PgcdEnConsole {

  /* Fonction de calcul du minimum de deux entiers        */
  /* v1,v2 : entiers a traiter                            */
  /* Resultat de la fonction : entier                     */

  public static int min(int v1,int v2) {
    if ( v1 <= v2 )
      return(v1);
    return(v2);
  }

  /* Fonction de calcul du pgcd de deux entiers           */
  /* a,b : entiers a traiter                              */
  /* Resultat de la fonction : entier                     */

  public static int pgcd(int a,int b) {
  /* Calcul du minimum de a et b et affectation           */
  /* de cette valeur comme valeur initiale du calcul      */
    int v = min(a,b);
  /* Boucle tant que de calcul                            */
  /* Deux conditions composees par ou                     */
  /* pour la continuation du calcul                       */
  /* Si l'une des deux est infirmee, la boucle s'arrete   */
    while ( ( v > 1 ) &&
            ( ( (a%v) != 0 ) || ( (b%v) != 0 ) ) ) {
  /* Decrement de v                                       */
      v = v-1; }
    return(v);
  }

  /* Fonction principale                                  */

  public static void main(String [] args) {
    Console.setTitle("Pgcd");
  /* Lecture au clavier des deux entiers a traiter        */
    Console.out.print("Premiere valeur : ");
    int v1 = Integer.valueOf(Console.in.readLine()).intValue();
    Console.out.print("Seconde valeur  : ");
    int v2 = Integer.valueOf(Console.in.readLine()).intValue();
  /* Calcul et affichage du pgcd de ces deux entiers      */
    Console.out.println("Le PGCD de "+v1+" et "+v2+" est "+pgcd(v1,v2));
  }
}